Ask to join a space
POST /api/member/communities/{communityId}/spaces/{spaceId}/requests. Ask to join a space. Headless LMS Communities API reference.
For a member of the community who is not staff. Opens a request on a by_request space for a moderator to approve. 409 when the space is not by_request or you are already placed in it.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/communities/string/spaces/string/requests"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Add a person to a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/members. Add a person to a space you moderate. Headless LMS Communities API reference.
Invite a person into a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/invites. Invite a person into a space you moderate. Headless LMS Communities API reference.